org.springframework.web.portlet.multipart

## Interface MultipartActionRequest

All Superinterfaces:
  ActionRequest, ClientDataRequest, MultipartRequest, PortletRequest

All Known Implementing Classes:
  DefaultMultipartActionRequest, MockMultipartActionRequest

    public interface MultipartActionRequest
    extends ActionRequest, MultipartRequest

Interface which provides additional methods for dealing with multipart content within a portlet request, allowing to access uploaded files. Implementations also need to override the standard ActionRequest methods for parameter access, making multipart parameters available.

A concrete implementation is `DefaultMultipartActionRequest`.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `PortletMultipartResolver`, `MultipartFile`, `PortletRequest.getParameter(java.lang.String)`, `PortletRequest.getParameterNames()`, `PortletRequest.getParameterMap()`

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.portlet.PortletRequest

`PortletRequest.P3PUserInfos`

### Field Summary

### Fields inherited from interface javax.portlet.ActionRequest

`ACTION_NAME`

### Fields inherited from interface javax.portlet.PortletRequest

`ACTION_PHASE, ACTION_SCOPE_ID, BASIC_AUTH, CCPP_PROFILE, CLIENT_CERT_AUTH, DIGEST_AUTH, EVENT_PHASE, FORM_AUTH, LIFECYCLE_PHASE, RENDER_HEADERS, RENDER_MARKUP, RENDER_PART, RENDER_PHASE, RESOURCE_PHASE, USER_INFO`

### Method Summary

### Methods inherited from interface javax.portlet.ClientDataRequest

`getCharacterEncoding, getContentLength, getContentType, getMethod, getPortletInputStream, getReader, setCharacterEncoding`

### Methods inherited from interface javax.portlet.PortletRequest

`getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

### Methods inherited from interface org.springframework.web.multipart.MultipartRequest

`getFile, getFileMap, getFileNames, getFiles, getMultiFileMap, getMultipartContentType`